Bug 90718 - (NET TG3)TG3 does not support Dell PowerVault 725N (bcm5704)
Summary: (NET TG3)TG3 does not support Dell PowerVault 725N (bcm5704)
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: David Miller
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-12 20:31 UTC by Pieter de Boer
Modified: 2007-04-18 16:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pieter de Boer 2003-05-12 20:31:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
When installing Redhat 8.0 on a Dell Powervault 725N,
which has two Gb NICs with Broadcom 5704, the eth0 and eth1
are not recognized by both tg3 and bcm5700.
After an upgrade to Redhat 9.0 the tg3 module is loaded for
eth0 and eth1, but the ethernet interface does not work
(no traffic received).
The bcm5700 is no longer available in RedHat 9.0, so could not 
be tested.
Solution is to use the bcm5700-6.0.2a-1.src.rpm from Broadcom,
if this is build for RedHat 8.0 the interfaces are recognized
after loading the bcm5700.o module.
Only problem is the long time it takes to bring the interface up.
Please add bcm5700 back to RedHat 9.0 or update tg3 to include
the latest changes from bcm5700-6.0.2a-1.
Also the pxeboot.img should include this driver, as the powervault 725N does 
not have a boot cdrom or floppy.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install redhat 9.0 on powervault 725N using PXE boot
2. connect network cable

    

Actual Results:  no network connection

Expected Results:  working network connection

Additional info:

Comment 1 acount closed by user 2003-05-14 22:25:59 UTC
tg3 don't understand all pci IDs and it is necessary to add more from broadcom
driver:
0x14e4,0x1653 - BCM5705/NC7761
0x14e4,0x1654 - BCM5705/NC7761
0x14e4,0x165d - BCM5705M
0x14e4,0x165e - BCM5705M
0x14e4,0x1696 - BCM5782


Comment 2 acount closed by user 2003-05-14 22:58:55 UTC
and one more from Syskonnect driver
http://www.syskonnect.de/syskonnect/support/driver/zip/sk9dlin_2_4_17_patch.gz :

0x1148,0x4600 - SK9MXX

Comment 3 acount closed by user 2003-05-14 23:00:54 UTC
I am sorry, 4500 not 4600(this is SK9SXX series)

0x1148,0x4500 - SK9MXX



Comment 4 Eric Sandall 2003-06-05 21:53:04 UTC
I have the same problem (and solution) for an HP workstation xw4100.

Comment 5 Eric Sandall 2003-06-05 21:55:02 UTC
More info (sorry):

This is the "Broadcom NetXtreme Gigabit Ethernet for hp" device, the BCM5782
with the 5702 chipset (rev 03).

Comment 6 acount closed by user 2003-08-16 21:17:20 UTC
try latest kernel 2.4.20-19.x, it has tg3 1.5 version. 

If it doesn't work then you need to use insmod&pray bcm5700_driver from ->
http://www.broadcom.com/docs/driver-download.html

Comment 7 David Miller 2004-03-06 07:23:51 UTC
Yes, please try the latest kernel and report whether the problem is gone.


Comment 8 Bugzilla owner 2004-09-30 15:40:54 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.